> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profiles

> Retrieves the entity's profile.



## OpenAPI

````yaml /services/playfab/api-references/rest/profiles/profiles.openapi.json post /Profile/GetProfiles
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Profiles API
  description: >-
    All PlayFab entities have profiles, which hold top-level properties about
    the entity. These APIs give you the tools needed to manage entity profiles.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
paths:
  /Profile/GetProfiles:
    post:
      tags:
        - Account Management
      summary: Get Profiles
      description: Retrieves the entity's profile.
      operationId: GetProfiles
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetEntityProfilesRequest'
        description: >-
          Given a set of entity types and entity identifiers will retrieve all
          readable profiles properties for the caller. Profiles that the caller
          is not allowed to read will silently not be included in the results.
      responses:
        '200':
          $ref: '#/components/responses/GetEntityProfilesResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    GetEntityProfilesRequest:
      description: >-
        Given a set of entity types and entity identifiers will retrieve all
        readable profiles properties for the caller. Profiles that the caller is
        not allowed to read will silently not be included in the results.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        DataAsObject:
          description: >-
            Determines whether the objects will be returned as an escaped JSON
            string or as a un-escaped JSON object. Default is JSON string.
          type: boolean
        Entities:
          description: Entity keys of the profiles to load. Must be between 1 and 25
          type: array
          items:
            $ref: '#/components/schemas/EntityKey'
          x-isclass: true
        IncludeStatistics:
          description: >-
            Determines whether the entity statistics will be returned in the
            entity profile. Default is false.
          type: boolean
      required:
        - IncludeStatistics
        - Entities
      example:
        Entities:
          - Id: '1234567787392'
            Type: title_player_account
            TypeString: title_player_account
          - Id: '42434567785265'
            Type: title_player_account
            TypeString: title_player_account
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    GetEntityProfilesResponse:
      type: object
      properties:
        Profiles:
          description: Entity profiles
          type: array
          items:
            $ref: '#/components/schemas/EntityProfileBody'
          x-isclass: true
      example:
        Profiles:
          - Entity:
              Id: '1234567787392'
              Type: title_player_account
              TypeString: title_player_account
            EntityChain: title_player_account!09839712/1289749013/19073097/1234567787392
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    EntityProfileBody:
      type: object
      properties:
        AvatarUrl:
          description: Avatar URL for the entity.
          type: string
        Created:
          description: The creation time of this profile in UTC.
          type: string
        DisplayName:
          description: >-
            The display name of the entity. This field may serve different
            purposes for different entity types. i.e.: for a title player
            account it could represent the display name of the player, whereas
            on a character it could be character's name.
          type: string
        Entity:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: The entity id and type.
        EntityChain:
          description: The chain of responsibility for this entity. Use Lineage.
          type: string
        ExperimentVariants:
          description: The experiment variants of this profile.
          type: array
          items:
            type: string
        Files:
          allOf:
            - $ref: '#/components/schemas/EntityProfileFileMetadata'
          description: The files on this profile.
        Language:
          description: The language on this profile.
          type: string
        Lineage:
          allOf:
            - $ref: '#/components/schemas/EntityLineage'
          description: The lineage of this profile.
        Objects:
          allOf:
            - $ref: '#/components/schemas/EntityDataObject'
          description: The objects on this profile.
        Permissions:
          description: >-
            The permissions that govern access to this entity profile and its
            properties. Only includes permissions set on this profile, not
            global statements from titles and namespaces.
          type: array
          items:
            $ref: '#/components/schemas/EntityPermissionStatement'
          x-isclass: true
        Statistics:
          allOf:
            - $ref: '#/components/schemas/EntityStatisticValue'
          description: The statistics on this profile.
        StatisticsColumnDetails:
          allOf:
            - $ref: '#/components/schemas/StatisticColumnCollection'
          description: >-
            A mapping of statistic name to the columns defined in the
            corresponding definition.
        VersionNumber:
          description: >-
            The version number of the profile in persistent storage at the time
            of the read. Used for optional optimistic concurrency during update.
          type: number
          x-actualtype: int32
      required:
        - VersionNumber
        - Created
      example:
        Entity:
          Id: '1234567787392'
          Type: title_player_account
          TypeString: title_player_account
        EntityChain: title_player_account!09839712/1289749013/19073097/1234567787392
    EntityProfileFileMetadata:
      description: >-
        An entity file's meta data. To get a download URL call File/GetFiles
        API.
      type: object
      properties:
        Checksum:
          description: >-
            Checksum value for the file, can be used to check if the file on the
            server has changed.
          type: string
        FileName:
          description: Name of the file
          type: string
        LastModified:
          description: Last UTC time the file was modified
          type: string
        Size:
          description: Storage service's reported byte count
          type: number
          x-actualtype: int32
      required:
        - Size
        - LastModified
    EntityLineage:
      type: object
      properties:
        CharacterId:
          description: The Character Id of the associated entity.
          type: string
        GroupId:
          description: The Group Id of the associated entity.
          type: string
        MasterPlayerAccountId:
          description: The Master Player Account Id of the associated entity.
          type: string
        NamespaceId:
          description: The Namespace Id of the associated entity.
          type: string
        TitleId:
          description: The Title Id of the associated entity.
          type: string
        TitlePlayerAccountId:
          description: The Title Player Account Id of the associated entity.
          type: string
    EntityDataObject:
      description: An entity object and its associated meta data.
      type: object
      properties:
        DataObject:
          description: Un-escaped JSON object, if DataAsObject is true.
          type: object
        EscapedDataObject:
          description: >-
            Escaped string JSON body of the object, if DataAsObject is default
            or false.
          type: string
        ObjectName:
          description: Name of this object.
          type: string
    EntityPermissionStatement:
      type: object
      properties:
        Action:
          description: >-
            The action this statement effects. May be 'Read', 'Write' or '*' for
            both read and write.
          type: string
        Comment:
          description: >-
            A comment about the statement. Intended solely for bookkeeping and
            debugging.
          type: string
        Condition:
          description: Additional conditions to be applied for entity resources.
          type: object
        Effect:
          allOf:
            - $ref: '#/components/schemas/EffectType'
          description: The effect this statement will have. It may be either Allow or Deny
        Principal:
          description: The principal this statement will effect.
          type: object
        Resource:
          description: >-
            The resource this statements effects. Similar to
            'pfrn:data--title![Title ID]/Profile/*'
          type: string
      required:
        - Resource
        - Action
        - Effect
        - Principal
    EntityStatisticValue:
      type: object
      properties:
        Metadata:
          description: Metadata associated with the Statistic.
          type: string
        Name:
          description: Statistic name
          type: string
        Scores:
          description: Statistic scores
          type: array
          items:
            type: string
        Version:
          description: Statistic version
          type: number
          x-actualtype: int32
      required:
        - Version
    StatisticColumnCollection:
      type: object
      properties:
        Columns:
          description: >-
            Columns for the statistic defining the aggregation method for each
            column.
          type: array
          items:
            $ref: '#/components/schemas/StatisticColumn'
          x-isclass: true
    EffectType:
      type: string
      enum:
        - Allow
        - Deny
    StatisticColumn:
      type: object
      properties:
        AggregationMethod:
          allOf:
            - $ref: '#/components/schemas/StatisticAggregationMethod'
          description: Aggregation method for calculating new value of a statistic.
        Name:
          description: Name of the statistic column, as originally configured.
          type: string
      required:
        - Name
        - AggregationMethod
    StatisticAggregationMethod:
      type: string
      enum:
        - Last
        - Min
        - Max
        - Sum
  responses:
    GetEntityProfilesResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetEntityProfilesResponse'
            example:
              code: 200
              status: OK
              data:
                Profiles:
                  - Entity:
                      Id: '1234567787392'
                      Type: title_player_account
                      TypeString: title_player_account
                    EntityChain: >-
                      title_player_account!09839712/1289749013/19073097/1234567787392
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Profiles](/services/playfab/api-references/rest/profiles/account-management/get-profiles.md)
- [Get Profile](/api-reference/account-management/get-profile.md)
- [PFProfilesGetProfilesAsync](/services/playfab/api-references/c/pfprofiles/functions/pfprofilesgetprofilesasync.md)
- [PFProfilesGetProfileAsync](/services/playfab/api-references/c/pfprofiles/functions/pfprofilesgetprofileasync.md)
- [PFProfilesGetProfileGetResult](/services/playfab/api-references/c/pfprofiles/functions/pfprofilesgetprofilegetresult.md)
